@use "../abstracts/variables";

.centering {
    & {
        display: block;
        margin-left: auto;
        margin-right: auto;
        text-align: center;
        p {
            text-align: center;
        }
    }

    &-flex {
        display: flex;
        justify-content: center;
    }

    &-flex-col {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 2rem;
    }
}

@each $size, $value in variables.$margin-vertical {
    .margin-vertical-#{$size} {
        margin-top: $value;
        margin-bottom: $value;
    }
}

.text-black-900 {
    color: rgba(1, 1, 1, 0.9);
}

.font-size-small {
    font-size: small;
}

.mr-1 {
    margin-right: 0.25rem;
}

.mt-1 {
    margin-top: 0.25rem;
}

.mt-2 {
    margin-top: 0.5rem;
}

.flex-row {
    display: flex;
    flex-direction: row;
    gap: 0.5rem;
}

.flex-column {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.flex-grow-1 {
    flex-grow: 1;
}

.flex-end {
    display: flex;
    justify-content: end;
    align-items: end;
}

.align-center {
    align-items: center;
}

.justify-content-space-between {
    justify-content: space-between;
}

.overflow-auto {
    overflow: auto;
}

.width-100 {
    width: 100%;
}

.max-height-300 {
    max-height: 300px;
}

.d-none {
    display: none;
}

.rounded-corners {
    border-radius: variables.$border-radius;
}
